org.apache.tinkerpop.gremlin.process.traversal.step.map

## Class AddEdgeTest

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest
    - - org.apache.tinkerpop.gremlin.process.traversal.step.map.AddEdgeTest

- Direct Known Subclasses:
    AddEdgeTest.Traversals

      public abstract class AddEdgeTest
      extends AbstractGremlinProcessTest

  Author:
    Marko A. Rodriguez (http://markorodriguez.com), Stephen Mallette (http://stephen.genoprime.com)

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `AddEdgeTest.Traversals`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AddEdgeTest()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `g_addV_asXfirstX_repeatXaddEXnextX_toXaddVX_inVX_timesX5X_addEXnextX_toXselectXfirstXX()`
    `void` | `g_V_aggregateXxX_asXaX_selectXxX_unfold_addEXexistsWithX_toXaX_propertyXtime_nowX()`
    `void` | `g_V_asXaX_inXcreatedX_addEXcreatedByX_fromXaX_propertyXyear_2009X_propertyXacl_publicX()`
    `void` | `g_V_asXaX_inXcreatedX_addInEXcreatedBy_a_year_2009_acl_publicX()` Deprecated.
    `void` | `g_V_asXaX_outXcreatedX_inXcreatedX_whereXneqXaXX_asXbX_addEXcodeveloperX_fromXaX_toXbX_propertyXyear_2009X()`
    `void` | `g_V_asXaX_outXcreatedX_inXcreatedX_whereXneqXaXX_asXbX_selectXa_bX_addInEXa_codeveloper_b_year_2009X()` Deprecated.
    `void` | `g_VX1X_asXaX_outXcreatedX_addEXcreatedByX_toXaX_propertyXweight_2X()`
    `void` | `g_VX1X_asXaX_outXcreatedX_addEXcreatedByX_toXaX()`
    `void` | `g_VX1X_asXaX_outXcreatedX_addOutEXcreatedBy_a_weight_2X()` Deprecated.
    `void` | `g_VX1X_asXaX_outXcreatedX_addOutEXcreatedBy_aX()` Deprecated.
    `void` | `g_withSideEffectXb_bX_VXaX_addEXknowsX_toXbX_propertyXweight_0_5X()`
    `void` | `g_withSideEffectXx__g_V_toListX_addOutEXexistsWith_x_time_nowX()`
    `abstract Traversal<Vertex,Edge>` | `get_g_addV_asXfirstX_repeatXaddEXnextX_toXaddVX_inVX_timesX5X_addEXnextX_toXselectXfirstXX()`
    `abstract Traversal<Vertex,Edge>` | `get_g_V_aggregateXxX_asXaX_selectXxX_unfold_addEXexistsWithX_toXaX_propertyXtime_nowX()`
    `abstract Traversal<Vertex,Edge>` | `get_g_V_asXaX_inXcreatedX_addEXcreatedByX_fromXaX_propertyXyear_2009X_propertyXacl_publicX()`
    `abstract Traversal<Vertex,Edge>` | `get_g_V_asXaX_inXcreatedX_addInEXcreatedBy_a_year_2009_acl_publicX()` Deprecated.
    `abstract Traversal<Vertex,Edge>` | `get_g_V_asXaX_outXcreatedX_inXcreatedX_whereXneqXaXX_asXbX_addEXcodeveloperX_fromXaX_toXbX_propertyXyear_2009X()`
    `abstract Traversal<Vertex,Edge>` | `get_g_V_asXaX_outXcreatedX_inXcreatedX_whereXneqXaXX_asXbX_selectXa_bX_addInEXa_codeveloper_b_year_2009X()` Deprecated.
    `abstract Traversal<Vertex,Edge>` | `get_g_VX1X_asXaX_outXcreatedX_addEXcreatedByX_toXaX_propertyXweight_2X(Object v1Id)`
    `abstract Traversal<Vertex,Edge>` | `get_g_VX1X_asXaX_outXcreatedX_addEXcreatedByX_toXaX(Object v1Id)`
    `abstract Traversal<Vertex,Edge>` | `get_g_VX1X_asXaX_outXcreatedX_addOutEXcreatedBy_a_weight_2X(Object v1Id)` Deprecated.
    `abstract Traversal<Vertex,Edge>` | `get_g_VX1X_asXaX_outXcreatedX_addOutEXcreatedBy_aX(Object v1Id)` Deprecated.
    `abstract Traversal<Vertex,Edge>` | `get_g_withSideEffectXb_bX_VXaX_addEXknowsX_toXbX_propertyXweight_0_5X(Vertex a, Vertex v2)`
    `abstract Traversal<Vertex,Edge>` | `get_g_withSideEffectXx__g_V_toListX_addOutEXexistsWith_x_time_nowX()` Deprecated.

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest

      `checkMap, checkOrderedResults, checkResults, checkResults, checkSideEffects, graphMeetsTestRequirements, hasGraphComputerRequirement, makeMapList, setupTest`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRandomCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AddEdgeTest

          public AddEdgeTest()

  - ### Method Detail

    - #### get_g_VX1X_asXaX_outXcreatedX_addEXcreatedByX_toXaX

          public abstract Traversal<Vertex,Edge> get_g_VX1X_asXaX_outXcreatedX_addEXcreatedByX_toXaX(Object v1Id)

    - #### get_g_VX1X_asXaX_outXcreatedX_addEXcreatedByX_toXaX_propertyXweight_2X

          public abstract Traversal<Vertex,Edge> get_g_VX1X_asXaX_outXcreatedX_addEXcreatedByX_toXaX_propertyXweight_2X(Object v1Id)

    - #### get_g_V_aggregateXxX_asXaX_selectXxX_unfold_addEXexistsWithX_toXaX_propertyXtime_nowX

          public abstract Traversal<Vertex,Edge> get_g_V_aggregateXxX_asXaX_selectXxX_unfold_addEXexistsWithX_toXaX_propertyXtime_nowX()

    - #### get_g_V_asXaX_outXcreatedX_inXcreatedX_whereXneqXaXX_asXbX_addEXcodeveloperX_fromXaX_toXbX_propertyXyear_2009X

          public abstract Traversal<Vertex,Edge> get_g_V_asXaX_outXcreatedX_inXcreatedX_whereXneqXaXX_asXbX_addEXcodeveloperX_fromXaX_toXbX_propertyXyear_2009X()

    - #### get_g_V_asXaX_inXcreatedX_addEXcreatedByX_fromXaX_propertyXyear_2009X_propertyXacl_publicX

          public abstract Traversal<Vertex,Edge> get_g_V_asXaX_inXcreatedX_addEXcreatedByX_fromXaX_propertyXyear_2009X_propertyXacl_publicX()

    - #### get_g_addV_asXfirstX_repeatXaddEXnextX_toXaddVX_inVX_timesX5X_addEXnextX_toXselectXfirstXX

          public abstract Traversal<Vertex,Edge> get_g_addV_asXfirstX_repeatXaddEXnextX_toXaddVX_inVX_timesX5X_addEXnextX_toXselectXfirstXX()

    - #### get_g_withSideEffectXb_bX_VXaX_addEXknowsX_toXbX_propertyXweight_0_5X

          public abstract Traversal<Vertex,Edge> get_g_withSideEffectXb_bX_VXaX_addEXknowsX_toXbX_propertyXweight_0_5X(Vertex a,
                                                                                                                       Vertex v2)

    - #### get_g_VX1X_asXaX_outXcreatedX_addOutEXcreatedBy_aX

          @Deprecated
          public abstract Traversal<Vertex,Edge> get_g_VX1X_asXaX_outXcreatedX_addOutEXcreatedBy_aX(Object v1Id)

      Deprecated.

    - #### get_g_VX1X_asXaX_outXcreatedX_addOutEXcreatedBy_a_weight_2X

          @Deprecated
          public abstract Traversal<Vertex,Edge> get_g_VX1X_asXaX_outXcreatedX_addOutEXcreatedBy_a_weight_2X(Object v1Id)

      Deprecated.

    - #### get_g_withSideEffectXx__g_V_toListX_addOutEXexistsWith_x_time_nowX

          @Deprecated
          public abstract Traversal<Vertex,Edge> get_g_withSideEffectXx__g_V_toListX_addOutEXexistsWith_x_time_nowX()

      Deprecated.

    - #### get_g_V_asXaX_outXcreatedX_inXcreatedX_whereXneqXaXX_asXbX_selectXa_bX_addInEXa_codeveloper_b_year_2009X

          @Deprecated
          public abstract Traversal<Vertex,Edge> get_g_V_asXaX_outXcreatedX_inXcreatedX_whereXneqXaXX_asXbX_selectXa_bX_addInEXa_codeveloper_b_year_2009X()

      Deprecated.

    - #### get_g_V_asXaX_inXcreatedX_addInEXcreatedBy_a_year_2009_acl_publicX

          @Deprecated
          public abstract Traversal<Vertex,Edge> get_g_V_asXaX_inXcreatedX_addInEXcreatedBy_a_year_2009_acl_publicX()

      Deprecated.

    - #### g_VX1X_asXaX_outXcreatedX_addOutEXcreatedBy_aX

          @Deprecated
          public void g_VX1X_asXaX_outXcreatedX_addOutEXcreatedBy_aX()

      Deprecated.

    - #### g_VX1X_asXaX_outXcreatedX_addEXcreatedByX_toXaX

          public void g_VX1X_asXaX_outXcreatedX_addEXcreatedByX_toXaX()

    - #### g_VX1X_asXaX_outXcreatedX_addOutEXcreatedBy_a_weight_2X

          @Deprecated
          public void g_VX1X_asXaX_outXcreatedX_addOutEXcreatedBy_a_weight_2X()

      Deprecated.

    - #### g_VX1X_asXaX_outXcreatedX_addEXcreatedByX_toXaX_propertyXweight_2X

          public void g_VX1X_asXaX_outXcreatedX_addEXcreatedByX_toXaX_propertyXweight_2X()

    - #### g_withSideEffectXx__g_V_toListX_addOutEXexistsWith_x_time_nowX

          public void g_withSideEffectXx__g_V_toListX_addOutEXexistsWith_x_time_nowX()

    - #### g_V_aggregateXxX_asXaX_selectXxX_unfold_addEXexistsWithX_toXaX_propertyXtime_nowX

          public void g_V_aggregateXxX_asXaX_selectXxX_unfold_addEXexistsWithX_toXaX_propertyXtime_nowX()

    - #### g_V_asXaX_outXcreatedX_inXcreatedX_whereXneqXaXX_asXbX_selectXa_bX_addInEXa_codeveloper_b_year_2009X

          @Deprecated
          public void g_V_asXaX_outXcreatedX_inXcreatedX_whereXneqXaXX_asXbX_selectXa_bX_addInEXa_codeveloper_b_year_2009X()

      Deprecated.

    - #### g_V_asXaX_outXcreatedX_inXcreatedX_whereXneqXaXX_asXbX_addEXcodeveloperX_fromXaX_toXbX_propertyXyear_2009X

          public void g_V_asXaX_outXcreatedX_inXcreatedX_whereXneqXaXX_asXbX_addEXcodeveloperX_fromXaX_toXbX_propertyXyear_2009X()

    - #### g_withSideEffectXb_bX_VXaX_addEXknowsX_toXbX_propertyXweight_0_5X

          public void g_withSideEffectXb_bX_VXaX_addEXknowsX_toXbX_propertyXweight_0_5X()

    - #### g_V_asXaX_inXcreatedX_addInEXcreatedBy_a_year_2009_acl_publicX

          @Deprecated
          public void g_V_asXaX_inXcreatedX_addInEXcreatedBy_a_year_2009_acl_publicX()

      Deprecated.

    - #### g_V_asXaX_inXcreatedX_addEXcreatedByX_fromXaX_propertyXyear_2009X_propertyXacl_publicX

          public void g_V_asXaX_inXcreatedX_addEXcreatedByX_fromXaX_propertyXyear_2009X_propertyXacl_publicX()

    - #### g_addV_asXfirstX_repeatXaddEXnextX_toXaddVX_inVX_timesX5X_addEXnextX_toXselectXfirstXX

          public void g_addV_asXfirstX_repeatXaddEXnextX_toXaddVX_inVX_timesX5X_addEXnextX_toXselectXfirstXX()

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.